%global srcname referencing

Summary:        An implementation-agnostic implementation of JSON reference resolution
Name:           python-%{srcname}
Version:        0.35.1
Release:        1%{?dist}
License:        MIT
URL:            https://pypi.python.org/pypi/%{srcname}
Source:         %{pypi_source referencing}

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-subtests)

%global _description %{expand:
An implementation-agnostic implementation of JSON reference resolution.
In other words, a way for e.g. JSON Schema tooling to resolve the $ref
keyword across all drafts without needing to implement support themselves.}

%description %_description


%package -n     python3-%{srcname}
Summary:        An implementation-agnostic implementation of JSON reference resolution

%description -n python3-%{srcname} %_description


%prep
%autosetup -n %{srcname}-%{version} -p1


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{srcname}


%check
%pytest referencing/tests


%files -n python3-%{srcname} -f %{pyproject_files}


%changelog
* Wed Jun 12 2024 Shuo Wang <abushwang@tencent.com> - 0.35.1-1
- initial build
